Subject: Re: FastCGI support in gitweb

From: Jakub Narebski <[email-masked]>
Date: Tue, 04 Mar 2008 02:11:52 -0800 (PST)

John Goerzen <[email-masked]> writes:
> On 2008-03-04, Jakub Narebski <[email-masked]> wrote:
>>
>>> Thanks.  I didn't submit this because I couldn't fix the bugs in it.
>>> Glad you found it.  I had to make many changes in a similar vein with a
>>> current gitweb version; did it work for you in its current form?
>>
>> I couldn't test it with FastCGI server, as I use Apache2, and all
>> FastCGI modules for Apache are third part modules.
> 
> On Debian, this was as easy as apt-get install libapache2-mod-fcgid

And for Fedora Core?

>>From what I have found there exists three 3rd-party (i.e. not
developed by Apache) modules for FastCGI support: mod_fastcgi,
mod_fcgi and mod_proxy_fcgi. Which one to choose?
 
>> Besides, it doesn't
>> make much sense to use generic FastCGI for Perl, when there is mod_perl
>> module.
> 
> Sure it can.  I currently am running both Python and Ruby code under
> FastCGI.  Adding mod_perl for just one program increases my
> webserver's memory footprint, potentially dramatically, and increases
> my complexity as well.  I'd much rather run FastCGI than mod_perl.

Well, if you are running FastCGI for other scripts, it makes sense
then.

Although... doesn't there exists modules for Python (mod_python,
mod_wsgi, mod_snake) and for Ruby (mod_ruby)?
-- 
Jakub Narebski
Poland
ShadeHawk on #git